DtEditorCheckForUnsavedChanges(library call)

NAME
DtEditorCheckForUnsavedChanges — report whether text has been edited

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorCheckForUnsavedChanges(
Widget widget);

DESCRIPTION

The DtEditorCheckForUnsavedChanges function reports whether the text contained in the edit window of a DtEditor widget has been modified since the last call to DtEditorGetContents(3) or DtEditorSaveContentsToFile(3), including inserting, deleting or moving text with the keyboard or mouse. For information about retrieving the text without affecting whether DtEditorCheckForUnsavedChanges reports that all changes have been saved, see DtEditorGetContents(3) and DtEditorSaveContentsToFile(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorCheckForUnsavedChanges function returns True if changes have been made to the contents of the DtEditor widget since the last call to DtEditorGetContents(3) or DtEditorSaveContentsToFile(3); otherwise, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorGetContents(3), DtEditorSaveContentsToFile(3).